Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Interface RowSelectionListener

All Known Implementing Classes:
  RowSelectionListenerAdapter

    public interface RowSelectionListener

Method Summary
`boolean` | `doBeforeRowSelect(RowSelectionModel sm, int rowIndex, boolean keepExisting, Record record)` Fires when a row is selected being selected, return false to cancel.
`void` | `onRowDeselect(RowSelectionModel sm, int rowIndex, Record record)` Fires when a row is deselected.
`void` | `onRowSelect(RowSelectionModel sm, int rowIndex, Record record)` Fires when a row is selected.
`void` | `onSelectionChange(RowSelectionModel sm)` Fires when the selection changes.

Method Detail

### doBeforeRowSelect

    boolean doBeforeRowSelect(RowSelectionModel sm,
                              int rowIndex,
                              boolean keepExisting,
                              Record record)

  Fires when a row is selected being selected, return false to cancel.

  Parameters:
    `sm` - this
    `rowIndex` - the row index
    `keepExisting` - false if other selections will be cleared
    `record` - the record
  Returns:
    false the cancel the row select

### onRowDeselect

    void onRowDeselect(RowSelectionModel sm,
                       int rowIndex,
                       Record record)

  Fires when a row is deselected.

  Parameters:
    `sm` - this
    `rowIndex` - the row index
    `record` - the record

### onRowSelect

    void onRowSelect(RowSelectionModel sm,
                     int rowIndex,
                     Record record)

  Fires when a row is selected.

  Parameters:
    `sm` - this
    `rowIndex` - the row index
    `record` - the record

### onSelectionChange

    void onSelectionChange(RowSelectionModel sm)

  Fires when the selection changes.

  Parameters:
    `sm` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD